pdf2jpeg(1)

NAME
pdf2jpeg - converts a PDF file to a JPEG file using Cocoa

SYNOPSIS
pdf2jpeg [--verbose] [--quality NN] infile.pdf outfile.jpg

DESCRIPTION
This reads a PDF file (for example, as written by the screencapture(1) program) and writes a JPEG file.

OPTIONS
pdf2jpeg accepts the following options:

--verbose
    Print diagnostics.

--quality NN
    JPEG compression factor. Default 85%.

BUGS
The input and output files must be files: pipes don't work. This program is Cocoa-specific, so it won't work on non-MacOS systems. This shouldn't need to be a part of the XScreenSaver distribution at all, but Apple is COMPLETELY INSANE and made screencapture(1) only write PDFs, with no simple way to convert that to something less crazy.

SEE ALSO
screencapture(1), xscreensaver-getimage-desktop(1)

COPYRIGHT
Copyright © 2003 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>, 20-Oct-03.